Bug 820322 - SELinux is preventing /opt/google/talkplugin/GoogleTalkPlugin from 'sendto' accesses on the unix_dgram_socket @google-nacl-o3d12032-12.
SELinux is preventing /opt/google/talkplugin/GoogleTalkPlugin from 'sendto' a...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:790b5ea6ca187ac5453050c9deb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 11:45 EDT by Patryk Zawadzki
Modified: 2012-05-27 21:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-27 21:20:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patryk Zawadzki 2012-05-09 11:45:13 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.4-4.fc17.x86_64
time:           śro, 9 maj 2012, 17:44:57

description:
:SELinux is preventing /opt/google/talkplugin/GoogleTalkPlugin from 'sendto' accesses on the unix_dgram_socket @google-nacl-o3d12032-12.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If aby GoogleTalkPlugin powinno mieć domyślnie sendto dostęp do @google-nacl-o3d12032-12 unix_dgram_socket.
:Then proszę to zgłosić jako błąd.
:Można utworzyć lokalny moduł polityki, aby umożliwić ten dostęp.
:Do
:można tymczasowo zezwolić na ten dostęp wykonując polecenia:
:# grep GoogleTalkPlugi /var/log/audit/audit.log | audit2allow -M mojapolityka
:# semodule -i mojapolityka.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
:                              023
:Target Objects                @google-nacl-o3d12032-12 [ unix_dgram_socket ]
:Source                        GoogleTalkPlugi
:Source Path                   /opt/google/talkplugin/GoogleTalkPlugin
:Port                          <Nieznane>
:Host                          (removed)
:Source RPM Packages           google-talkplugin-2.8.5.0-1.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-121.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.4-4.fc17.x86_64
:                              #1 SMP Fri May 4 17:25:07 UTC 2012 x86_64 x86_64
:Alert Count                   13
:First Seen                    śro, 9 maj 2012, 17:31:10
:Last Seen                     śro, 9 maj 2012, 17:40:31
:Local ID                      1742e210-3370-4057-aad0-444b62609779
:
:Raw Audit Messages
:type=AVC msg=audit(1336578031.217:182): avc:  denied  { sendto } for  pid=2704 comm="GoogleTalkPlugi" path=00676F6F676C652D6E61636C2D6F336431323033322D3132000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=unix_dgram_socket
:
:
:type=SYSCALL msg=audit(1336578031.217:182): arch=x86_64 syscall=sendmsg success=no exit=EACCES a0=13 a1=7ffff486f1b0 a2=4040 a3=e32f11 items=0 ppid=1 pid=2704 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=GoogleTalkPlugi exe=/opt/google/talkplugin/GoogleTalkPlugin subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: GoogleTalkPlugi,mozilla_plugin_t,unconfined_t,unix_dgram_socket,sendto
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-05-09 14:18:44 EDT
Fixed in selinux-policy-3.10.0-125.fc17
Comment 2 Fedora Update System 2012-05-17 05:03:56 EDT
selinux-policy-3.10.0-125.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-7953/selinux-policy-3.10.0-125.fc17
Comment 3 Fedora Update System 2012-05-17 18:57:47 EDT
Package selinux-policy-3.10.0-125.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-125.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7953/selinux-policy-3.10.0-125.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-05-27 21:20:18 EDT
selinux-policy-3.10.0-125.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.